import 'dart:convert';

import 'package:speedq_net/entities/Entity.dart';
import 'package:speedq_net/src/util/JsonReflector.dart';

@reflector
class Stall extends Entity {
    late String email;
    late String password;
    late String salt;
    late String phone;
    late String foodCourtId;
    late String image;

    Stall.fromJson(String json) {
        Map<String, dynamic> map = jsonDecode(json);
        id = map["id"];
        name = map["name"];
        email = map["email"];
        password = map["password"];
        salt = map["salt"];
        phone = map["phone"];
        foodCourtId = map["food_court_id"];
        image = map["image"];
    }

    Stall.fromJsonMap(Map json) {
        id = json["id"];
        name = json["name"];
        email = json["email"];
        password = json["password"];
        salt = json["salt"];
        phone = json["phone"];
        foodCourtId = json["food_court_id"];
        image = json["image"];
    }
}